.TH "opal_class_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal_class_t \- Class descriptor.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <opal_object.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "const char * \fBcls_name\fP"
.br
.RI "\fIsymbolic name for class \fP"
.ti -1c
.RI "\fBopal_class_t\fP * \fBcls_parent\fP"
.br
.RI "\fIparent class descriptor \fP"
.ti -1c
.RI "opal_construct_t \fBcls_construct\fP"
.br
.RI "\fIclass constructor \fP"
.ti -1c
.RI "opal_destruct_t \fBcls_destruct\fP"
.br
.RI "\fIclass destructor \fP"
.ti -1c
.RI "int \fBcls_initialized\fP"
.br
.RI "\fIis class initialized \fP"
.ti -1c
.RI "int \fBcls_depth\fP"
.br
.RI "\fIdepth of class hierarchy tree \fP"
.ti -1c
.RI "opal_construct_t * \fBcls_construct_array\fP"
.br
.RI "\fIarray of parent class constructors \fP"
.ti -1c
.RI "opal_destruct_t * \fBcls_destruct_array\fP"
.br
.RI "\fIarray of parent class destructors \fP"
.in -1c
.SH "Detailed Description"
.PP 
Class descriptor. 

There should be a single instance of this descriptor for each class definition. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
